OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.Win32KeyedMutex

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTWin32KeyedMutex :: MonadIO m => m Bool
- gl_EXT_win32_keyed_mutex :: Bool
- glAcquireKeyedMutexWin32EXT :: MonadIO m => GLuint -> GLuint64 -> GLuint -> m GLboolean
- glReleaseKeyedMutexWin32EXT :: MonadIO m => GLuint -> GLuint64 -> m GLboolean

# Extension Support

glGetEXTWin32KeyedMutex :: MonadIO m => m Bool Source #

Is the EXT_win32_keyed_mutex extension supported?

gl_EXT_win32_keyed_mutex :: Bool Source #

Is the EXT_win32_keyed_mutex extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTWin32KeyedMutex` in those cases instead.

# Functions

glAcquireKeyedMutexWin32EXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memory`.
-> GLuint64 | `key`.
-> GLuint | `timeout`.
-> m GLboolean | of type Boolean.

glReleaseKeyedMutexWin32EXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memory`.
-> GLuint64 | `key`.
-> m GLboolean | of type Boolean.